/*
** XmgAction.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 14:18:50 1999 vianney rancurel
** Last update Thu Oct 28 20:23:28 1999 
*/
#ifndef XMGACTION_H
#define XMGACTION_H

#include "Xmg.h"

extern XtActionsRec		XmgActions[];
extern Cardinal			XmgNumActions;

/* PROTO XmgAction.c */
/* XmgAction.c */
void XmgActionNop P((Widget w, XEvent *event, String *params, Cardinal *num_params));
void XmgActionPopdown P((Widget w, XEvent *event, String *params, Cardinal *num_params));
void XmgActionDestroy P((Widget w, XEvent *event, String *params, Cardinal *num_params));
void XmgActionSetFocus P((Widget w, XEvent *event, String *params, Cardinal *num_params));
void XmgPopdown P((Widget widget));
void XmgActionPopdownAllMenus P((Widget w, XEvent *event, String *params, Cardinal *num_params));
void XmgActionPopdownAllMenusAfterMe P((Widget w, XEvent *event, String *params, Cardinal *num_params));
void XmgActionEcho P((Widget w, XEvent *event, String *params, Cardinal *num_params));
void XmgSetDestroyOnDelete P((Widget w));
void XmgSetPopdownOnDelete P((Widget w));
void XmgSetNopOnReturn P((Widget w));
#endif
